
package com.tmerclub.cloud.payment.bo;

import java.io.Serial;
import java.io.Serializable;
/**
 * 退款后，微信/支付宝返回的一些基础数据
 * @author tmerclub
 * @date 2020/12/25
 */
public class RefundInfoResultBO implements Serializable {
    @Serial
    private static final long serialVersionUID = 1L;
    /**
     * 商城退款单号
     */
    private Long refundId;

    /**
     * 第三方订单退款流水号
     */
    private String bizRefundNo;

    /**
     * 是否退款成功
     */
    private Boolean refundSuccess;

    /**
     * 退款成功的标记
     */
    private String successString;

    /**
     * 退款回调信息
     */
    private String callbackContent;

    public String getBizRefundNo() {
        return bizRefundNo;
    }

    public void setBizRefundNo(String bizRefundNo) {
        this.bizRefundNo = bizRefundNo;
    }

    public String getSuccessString() {
        return successString;
    }

    public void setSuccessString(String successString) {
        this.successString = successString;
    }

    public String getCallbackContent() {
        return callbackContent;
    }

    public void setCallbackContent(String callbackContent) {
        this.callbackContent = callbackContent;
    }

    public Long getRefundId() {
        return refundId;
    }

    public void setRefundId(Long refundId) {
        this.refundId = refundId;
    }

    public Boolean getRefundSuccess() {
        return refundSuccess;
    }

    public void setRefundSuccess(Boolean refundSuccess) {
        this.refundSuccess = refundSuccess;
    }

    @Override
    public String toString() {
        return "RefundInfoResultBO{" +
                "refundId=" + refundId +
                ", bizRefundNo='" + bizRefundNo + '\'' +
                ", refundSuccess=" + refundSuccess +
                ", successString='" + successString + '\'' +
                ", callbackContent='" + callbackContent + '\'' +
                '}';
    }
}
